Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226147 - Merge Review: mktemp
Summary: Merge Review: mktemp
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ville Skyttä
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: F9MergeReviewTarget
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:41 UTC by Nobody's working on this, feel free to take it
Modified: 2008-08-02 23:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-03-13 11:25:11 UTC


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:41:42 UTC
Fedora Merge Review: mktemp

http://cvs.fedora.redhat.com/viewcvs/devel/mktemp/
Initial Owner: than@redhat.com

Comment 1 Ville Skyttä 2007-12-20 19:51:02 UTC
Only some minor issues:

Could use "make %{?_smp_mflags}"; not much of a deal for something this small.

"make install" should use %{_mandir} instead of hardcoding /usr/share/man.

mktemp-1.5-nostrip.patch can be 'cvs rm'd.

Include README and RELEASE_NOTES in %doc?

License should probably be "BSD with advertising", see priv_mktemp.c boilerplate.

Comment 2 Jason Tibbitts 2008-01-27 06:44:12 UTC
Does mktemp even exist any longer?  It seems that in current rawhide it's been
subsumed into coreutils.

Comment 3 Robert Scheck 2008-01-27 13:18:04 UTC
Jason, I would not say so, I can find the package in Rawhide (I don't know, 
whether we're talking about the same, but IMHO the package exists in Rawhide):

 - http://download.fedoraproject.org/pub/fedora/linux/development/source/SRPMS/
mktemp-1.5-25.fc7.src.rpm
 - http://cvs.fedoraproject.org/viewcvs/devel/mktemp/

Comment 4 Jason Tibbitts 2008-01-27 17:50:04 UTC
Well, just look at coreutils:
  Obsoletes: mktemp
  Provides: mktemp = %{version}-%{release}
Seems to me that mktemp has gone away.

Now, that tsn't really the best way to do that since the package now obsoletes
itself (guess I'll file a bug), but it does make it pretty obvious that the
mktemp package is gone.  Of course, you can still review it if you like but I
can't imagine the maintainer would be all that interested.

Comment 5 Ville Skyttä 2008-01-28 17:13:07 UTC
Ondrej, this package does not seem to be needed any more, could you confirm?

Comment 6 Ondrej Vasik 2008-01-29 02:37:28 UTC
New coreutils 6.10 contains mktemp - this program is 100% compatible with BSD
version of mktemp (but it is completely different implementation). Current
maintainer of mktemp is Than Ngo (than@redhat.com) - so I want to know his
opinion -anyway IMHO it is not necessary to keep mktemp package - as the 100%
compatible version is in coreutils. Mktemp is just small utility - the only
difference I saw is in manpages - BSD mktemp has much more complex
manpages...anyway - removal of mktemp should be clarified until F9 freeze. If
current maintainer wants to keep it, I could remove mktemp from shipped
coreutils utilities and drop mktemp provide.

Comment 7 Ngo Than 2008-01-29 14:04:24 UTC
Ondrej, the coreutils mktemp isn't 100 % compatible to mktemp, it doesn't have 
same options that mktemp provides. If we obsolete mktemp it will surely break 
many programs which use these options. I know sysreport that's the tool that 
uses -p option of mktemp!

If coreutils mktemp could be fixed so that it provides same option as mktemp 
does, it's fine to obsolete mktemp, otherwise mktemp should be keeped.

Comment 8 Ondrej Vasik 2008-01-29 14:40:41 UTC
Sorry, but coreutils 6.10 mktemp DOES provide -p option. This option is
depricated, but still usable ... Or do I miss something? On upstream pages is "A
different, but compatible, implementation of mktemp is available as part of GNU
coreutils." . Please provide me an example where the BSD mktemp is doing
something what GNU mktemp can't.

BSD mktemp options:
Usage: mktemp [-V] | [-dqtu] [-p prefix] [template]

GNU mktemp options:
Usage: /bin/mktemp [OPTION]... [TEMPLATE]
Create a temporary file or directory, safely, and print its name.
If TEMPLATE is not specified, use tmp.XXXXXXXXXX.

  -d, --directory  create a directory, not a file
  -q, --quiet      suppress diagnostics about file/dir-creation failure
  -u, --dry-run    do not create anything; merely print a name (unsafe)
  --tmpdir[=DIR]   interpret TEMPLATE relative to DIR.  If DIR is
                     not specified, use $TMPDIR if set, else /tmp.
                     With this option, TEMPLATE must not be an absolute name.
                     Unlike with -t, TEMPLATE may contain slashes, but even
                     here, mktemp still creates only the final component.

  -p DIR           use DIR as a prefix; implies -t [deprecated]
  -t               interpret TEMPLATE as a single file name component,
                     relative to a directory: $TMPDIR, if set; else the
                     directory specified via -p; else /tmp [deprecated]

      --help     display this help and exit
      --version  output version information and exit

So the only option I see as unavailable in GNU version is -V (and even that
option is in fact usable)

Comment 9 Ngo Than 2008-01-31 13:21:23 UTC
i have overlooked it. It's fine to obsolte mktemp now. Thanks

Comment 10 Ville Skyttä 2008-02-05 17:44:21 UTC
than, in that case, could you complete the package EOL process for mktemp as
described in http://fedoraproject.org/wiki/PackageMaintainers/PackageEndOfLife
so we can close this?

Comment 11 Ville Skyttä 2008-03-12 21:01:55 UTC
than: ping?

Comment 12 Ngo Than 2008-03-13 11:25:11 UTC
it's fixed now.


Note You need to log in before you can comment on or make changes to this bug.